// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.namerelations.wizard;

import eu.etaxonomy.cdm.model.name.NameRelationship;

/**
 * @author p.ciardelli
 * @created 29.04.2009
 * @version 1.0
 */
public class NameRelationshipTemp extends NameRelationship {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6363291628338131236L;
	
	private NameRelationship relationPersistent;
	
	public NameRelationshipTemp(NameRelationship relation) {
		super(relation.getToName(),
				relation.getFromName(), 
				relation.getType(),
				relation.getCitation(),
				relation.getCitationMicroReference(),
				relation.getRuleConsidered());
		this.relationPersistent = relation;
	}
	
	public NameRelationship copyToPersistentRelationship() {
//		relationPersistent.setRelatedFrom(getFromName());
		return relationPersistent;
	}
}
