// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.store;

import java.util.UUID;

import org.eclipse.core.commands.operations.IOperationHistory;
import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.jface.action.IStatusLineManager;

import eu.etaxonomy.taxeditor.model.AbstractUtility;
import eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin;

/**
 * @author n.hoffmann
 * @created 11.05.2009
 * @version 1.0
 */
public class StoreUtil extends AbstractUtility {

	public static void checktaxonExists(UUID fromString) {
//        if (CdmStore.getTaxonService().getTaxonByUuid(UUID.fromString(uuid)) == null) {
//        	logger.warn("Couldn't find taxon with UUID " + uuid);
//        	return null;
//        }
	}
	
	public static IOperationHistory getOperationHistory() {
		return TaxeditorStorePlugin.getDefault().getWorkbench().
					getOperationSupport().getOperationHistory();
	}
	
	public static void setStatusLineManager(IStatusLineManager manager) {
		statusLineManager = manager;
	}
	

	public static IUndoContext getUndoContext(){
		return IOperationHistory.GLOBAL_UNDO_CONTEXT;
	}
	
	
}
